Set the internal pointer of an array to its last element

- « each

- extract »

- PHP Manual
- Array Functions
- Set the internal pointer of an array to its last element

# end

(PHP 4, PHP 5, PHP 7, PHP 8)

end — Set the internal pointer of an array to its last element

### Description

end(array|object `&$array`): mixed

end() advances `array`'s internal pointer to the last element, and returns its value.

### Parameters

`array`

  The array. This array is passed by reference because it is modified by the function. This means you must pass it a real variable and not a function returning an array because only actual variables may be passed by reference.

### Return Values

Returns the value of the last element or `false` for empty array.

### Changelog

Version | Description
--- | ---
8.1.0 | Calling this function on objects is deprecated. Either convert the object to an array using get_mangled_object_vars() first, or use the methods provided by a class that implements Iterator, such as ArrayIterator, instead.
7.4.0 | Instances of SPL classes are now treated like empty objects that have no properties instead of calling the Iterator method with the same name as this function.

### Examples

Example #1 end() example

    <?php$fruits = array('apple', 'banana', 'cranberry');echo end($fruits); // cranberry?>

### See Also

- current() - Return the current element in an array
- each() - Return the current key and value pair from an array and advance the array cursor
- prev() - Rewind the internal array pointer
- reset() - Set the internal pointer of an array to its first element
- next() - Advance the internal pointer of an array
- array_key_last() - Gets the last key of an array